package com.dky.utils.entity;

public class SysDeviceHeatScene {
    // 设备id
    private String id;
    // 设备类型
    private String devType;
    // 设备细类
    private String devSubType;
    // 技术类型
    private String devTechType;
    // 热效率
    private Double heatEfficiency;
    // 设备功率
    private Double devPower;
    // 最少推荐使用人数
    private Integer recomMinPeopleNum ;
    // 最多推荐使用人数
    private Integer recomMaxPeopleNum ;
    // 设备单价
    private Double devPrice;
    // 电替代设备年人工费用
    private Double devSubstituteLaborCost;
    // 原设备的人工费用
    private Double laborCost ;
    //单台设备可参考供暖面积
    private Double devReferenceArea;
    // 单台电设备参考的工作容积（立方米）
    private Double devWorkArea ;
    // 产品密度（千克/立方米）
    private Double productDensity ;
    // 单台电设备制造一批产品的产量（kg）
    private Double manufactProduct ;
    // 单台电设备制造一批产品的周期（小时）
    private Double manufactCycle ;
    // 设备使用年限
    private Integer devServiceLife;
    // 设备年运行时长
    private Integer devAnnualOperationTime;
    // 备注
    private String remark;

    public Integer getRecomMinPeopleNum() {
        return recomMinPeopleNum;
    }

    public void setRecomMinPeopleNum(Integer recomMinPeopleNum) {
        this.recomMinPeopleNum = recomMinPeopleNum;
    }

    public Integer getRecomMaxPeopleNum() {
        return recomMaxPeopleNum;
    }

    public void setRecomMaxPeopleNum(Integer recomMaxPeopleNum) {
        this.recomMaxPeopleNum = recomMaxPeopleNum;
    }

    public Double getDevWorkArea() {
        return devWorkArea;
    }

    public void setDevWorkArea(Double devWorkArea) {
        this.devWorkArea = devWorkArea;
    }

    public Double getProductDensity() {
        return productDensity;
    }

    public void setProductDensity(Double productDensity) {
        this.productDensity = productDensity;
    }

    public Double getManufactProduct() {
        return manufactProduct;
    }

    public void setManufactProduct(Double manufactProduct) {
        this.manufactProduct = manufactProduct;
    }

    public Double getManufactCycle() {
        return manufactCycle;
    }

    public void setManufactCycle(Double manufactCycle) {
        this.manufactCycle = manufactCycle;
    }

    public SysDeviceHeatScene(Integer id, String devType, String devSubType, String devTechType, Double heatEfficiency, Double devPower,
                              Double devPrice, Double devSubstituteLaborCost, Double laborCost, Double devReferenceArea, Integer devServiceLife,
                              Integer devAnnualOperationTime, Integer minPeople, Integer maxPeople,
                              Double devWorkArea, Double productDensity, Double manufactProduct, Double manufactCycle,
                              String remark) {
        this.id = String.valueOf(id);
        this.devType = devType;
        this.devSubType = devSubType;
        this.devTechType = devTechType;
        this.heatEfficiency = heatEfficiency;
        this.devPower = devPower;
        this.devPrice = devPrice;
        this.devSubstituteLaborCost = devSubstituteLaborCost;
        this.laborCost = laborCost;
        this.devReferenceArea = devReferenceArea;
        this.devServiceLife = devServiceLife;
        this.devAnnualOperationTime = devAnnualOperationTime;
        this.recomMinPeopleNum = minPeople;
        this.recomMaxPeopleNum = maxPeople;
        this.devWorkArea = devWorkArea;
        this.productDensity = productDensity;
        this.manufactProduct = manufactProduct;
        this.manufactCycle = manufactCycle;
        this.remark = remark;
    }

    public Double getLaborCost() {
        return laborCost;
    }

    public void setLaborCost(Double laborCost) {
        this.laborCost = laborCost;
    }

    @Override
    public String toString() {
        return "SysDeviceHeatScene{" +
                "id = " + id +
                "，devType='" + devType + '\'' +
                "，设备细类: " + devSubType +
                "，技术类型: " + devTechType +
                "，热效率 = " + heatEfficiency +
                "，功率 = " + devPower +
                "，单价 =" + devPrice +
                "，电替代设备年人工费用: " + devSubstituteLaborCost +
                "，原设备的人工费用：" + laborCost +
                "，单台设备可参考供暖面积 = " + devReferenceArea +
                "，设备使用年限 = " + devServiceLife +
                "，设备年运行时长 = " + devAnnualOperationTime +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getDevSubType() {
        return devSubType;
    }

    public void setDevSubType(String devSubType) {
        this.devSubType = devSubType;
    }

    public String getDevTechType() {
        return devTechType;
    }

    public void setDevTechType(String devTechType) {
        this.devTechType = devTechType;
    }

    public Double getHeatEfficiency() {
        return heatEfficiency;
    }

    public void setHeatEfficiency(Double heatEfficiency) {
        this.heatEfficiency = heatEfficiency;
    }

    public Double getDevPower() {
        return devPower;
    }

    public void setDevPower(Double devPower) {
        this.devPower = devPower;
    }

    public Double getDevPrice() {
        return devPrice;
    }

    public void setDevPrice(Double devPrice) {
        this.devPrice = devPrice;
    }

    public Double getDevSubstituteLaborCost() {
        return devSubstituteLaborCost;
    }

    public void setDevSubstituteLaborCost(Double devSubstituteLaborCost) {
        this.devSubstituteLaborCost = devSubstituteLaborCost;
    }

    public Double getDevReferenceArea() {
        return devReferenceArea;
    }

    public void setDevReferenceArea(Double devReferenceArea) {
        this.devReferenceArea = devReferenceArea;
    }

    public Integer getDevServiceLife() {
        return devServiceLife;
    }

    public void setDevServiceLife(Integer devServiceLife) {
        this.devServiceLife = devServiceLife;
    }

    public Integer getDevAnnualOperationTime() {
        return devAnnualOperationTime;
    }

    public void setDevAnnualOperationTime(Integer devAnnualOperationTime) {
        this.devAnnualOperationTime = devAnnualOperationTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
