package com.dky.utils.enums;


public enum DeviceSubType {

    Boiler_Heating(0101, "工业供热电锅炉"),
    Kitchen_Cooking(0102, "电厨炊"),
    Cooling_Heating(0201, "供冷/暖"),
    Cooling_Heating_Electric_Boiler(0202, "供冷/暖电锅炉"),
    Material_Kiln(0203, "建材电窑炉"),
    Metal_Kiln(0204, "冶金窑炉"),
    Metal_Kiln_Direct_Heat(0205, "直接加热电阻炉"),
    Metal_Kiln_Interstitial_Heat(0206, "间接加热电阻炉（钟罩式光亮退火炉)"),
    Metal_Kiln_Electric_Arc(0207, "电弧炉（钢包精炼LF炉）"),
    Metal_Kiln_Induction(2180, "中/高频感应电炉");


    /**
     * 编码
     */
    private final Integer code;
    /**
     * 中文描述
     */
    private final String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    DeviceSubType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
