package com.dky.utils.enums;


public enum EnergyEmissions {

    Raw_Coal(101, "原煤", 20934.0, 26.37, 0.94, 1.9003),
    COAL(100, "煤炭", 28470.0, 29.5, 0.93, 2.8604),
    Crude_Oil(301, "原油", 41816.0, 20.1, 0.98, 3.0229),
    Fuel_Oil(305, "燃料油", 41816.0, 21.1, 0.98, 3.1733),
    GASOLINE(302, "汽油", 43070.0, 18.9, 0.98, 2.9277),
    KEROSENE(303, "煤油", 43070.0, 19.6, 0.98, 3.0361),
    Diesel_Oil(304, "柴油", 42652.0, 20.2, 0.98, 3.0987),
    Natural_Gas(204, "天然气", 35608.5, 15.3, 0.98, 1.97945),
    Refinery_Gas(207, "炼厂干气", 50242.0, 18.2, 0.98, 3.0119),
    Oilfield_Natural_Gas(206, "油田天然气", 46055.0, 15.3, 0.99, 2.1622),
    ;


    /**
     * 编码
     */
    private final Integer code;
    /**
     * 中文描述
     */
    private final String desc;
    /**
     * 平均低位发热量
     */
    private final Double calorificValue;
    /**
     * 单位热值含碳量
     */
    private final Double carbonContent;
    /**
     * 碳氧化率
     */
    private final Double coRate;
    /**
     * 二氧化碳排放系数
     */
    private final Double co2EmissionFactor;

    EnergyEmissions(Integer code, String desc, Double calorificValue, Double carbonContent, Double coRate, Double co2EmissionFactor) {
        this.code = code;
        this.desc = desc;
        this.calorificValue = calorificValue;
        this.carbonContent = carbonContent;
        this.coRate = coRate;
        this.co2EmissionFactor = co2EmissionFactor;
    }
}
